%define		libmpd_ver	0.20.95
Summary:	Gnome Music Player Client
Summary(pl.UTF-8):	Odtwarzacz Gnome Music Player Client
Name:		gmpc
Version:	11.8.16
Release:	3
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://download.sarine.nl/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	223aeb000e41697d8fdf54ccedee89d5
Patch0:		%{name}-desktop.patch
Patch1:		window-title.patch
URL:		http://www.gmpclient.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gob2 >= 2.0.17
BuildRequires:	gtk+2-devel >= 2:2.18
BuildRequires:	intltool
BuildRequires:	libmpd-devel >= 0.20.95
BuildRequires:	libsexy-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxspf-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sqlite3-devel
BuildRequires:	vala >= 0.11.0
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
%requires_ge_to	libmpd libmpd-devel
Requires:	libmpd >= %{libmpd_ver}
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Obsoletes:	gmpc-plugin-discogs
Obsoletes:	gmpc-plugin-extraplaylist
Obsoletes:	gmpc-plugin-favorites
Obsoletes:	gmpc-plugin-lastfm-provider
Obsoletes:	gmpc-plugin-serverstats
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GMPC is a frontend for the mpd (Music Player Daemon). It's focused on
being fast and easy to use, while making optimal use of all the
functions in mpd. The latest release (0.13) features plugin support so
it can be easily extended where needed, plugins can range from showing
a small osd window to adding an extra view in the playlist browser.

%description -l pl.UTF-8
GMPC to frontend dla mpd (Music Player Daemon). Skupia się na byciu
najszybszym i prostym w użyciu, a jednocześnie optymalnym
wykorzystywaniu wszystkich funkcji mpd. Ostatnie wydanie (0.13) ma
obsługę wtyczek, więc można go łatwo rozszerzać w miarę potrzeby;
wtyczki mogą obsługiwać funkcjonalność od wyświetlania małego okienka
na ekranie do dodawania dodatkowego widoku do przeglądarki playlist.

%package devel
Summary:	Header files for GMPC plugin developement
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek dla GMPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmpd-devel >= %{libmpd_ver}

%description devel
Header files for GMPC plugin developement.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek dla GMPC.

%prep
%setup -q
%patch0 -p1
# breaks compilation: http://carme.pld-linux.org/~glen/gmpc.log
touch -r src/playlist3.c src/playlist3.c.foo
%patch1 -p1
touch -r src/playlist3.c.foo src/playlist3.c

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

RC=no \
%configure \
	--enable-libxspf \
	--enable-unique \

#	--enable-appindicator \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/plugins,%{_datadir}/%{name}/plugins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Ubuntu theme, not present in PLD
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/icons/Humanity
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/gmpc/icons/Humanity

# drop javanese translation, need glibc support first
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/jv

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/gmpc
%attr(755,root,root) %{_bindir}/gmpc-remote
%attr(755,root,root) %{_bindir}/gmpc-remote-stream
%{_desktopdir}/gmpc.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/gmpc.png
%{_iconsdir}/hicolor/22x22/apps/gmpc.png
%{_iconsdir}/hicolor/32x32/apps/gmpc.png
%{_iconsdir}/hicolor/48x48/apps/gmpc.png
%{_iconsdir}/hicolor/64x64/apps/gmpc.png
%{_iconsdir}/hicolor/72x72/apps/gmpc.png
%{_iconsdir}/hicolor/96x96/apps/gmpc.png
%{_iconsdir}/hicolor/128x128/apps/gmpc.png
%{_iconsdir}/hicolor/scalable/apps/gmpc.svg
%{_mandir}/man1/gmpc-remote.1*
%{_mandir}/man1/gmpc.1*
%{_mandir}/man1/gmpc-remote-stream.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gmpc
%{_pkgconfigdir}/gmpc.pc
%changelog
* Fri Dec 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmpc.git;a=log;h=master

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 5f75627
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7902fbb
- updated gettext BR

* Sun Jan 29 2012 Elan Ruusamäe <glen@pld-linux.org> 080e22f
- drop internal Humanity icons as well

* Sun Jan 29 2012 Artur Frysiak <artur@frysiak.net> f02828d
- add O: for packages with plugins integrated now into gmpc
- rel. 2

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> 0b9705c
- implicit --enable-libxspf (note: --enable-libspiff is alternative)

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> b8f4bf5
- up to 11.8.16 (new YY.MM.DD versioning scheme)

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> 3b77292
- setup window title with song name first

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a3a707
- release 5

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 23a2011
- Requires(post,postun): gtk-update-icon-cache

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> 26eb61d
- drop Humanity icons
- rel. 3

* Sun Sep 12 2010 Artur Frysiak <artur@frysiak.net> fd2ca4d
- BR: fixed gob2
- rel. 2

* Sat Sep 11 2010 Artur Frysiak <artur@frysiak.net> e2e4122
- force -j1 for make
- rel. 1.1

* Sun Aug 08 2010 Jan Palus <jan.palus@gmail.com> c22fa44
- BR: vala
- package Humanity icons

* Tue Apr 06 2010 lisu <lisu@pld-linux.org> 64b0b6e
- up to 0.20.0
- libmpd-devel >= 0.19.2 required

* Fri Oct 16 2009 lisu <lisu@pld-linux.org> cf48532
- updated to 0.19.1
- clean up

* Sat Sep 19 2009 Karol Krenski <charles@pld-linux.org> e04a5cf
- outdated

* Sat Sep 19 2009 Karol Krenski <charles@pld-linux.org> 2c0f52c
- BR: sqlite3-devel; updated version for some BR/R

* Sat Sep 19 2009 Artur Frysiak <artur@frysiak.net> aa0448b
- updated to 0.19.0

* Sun Sep 13 2009 Artur Frysiak <artur@frysiak.net> e1c0e07
- updated to 0.18.100 (aka 0.19.0-rc1)

* Sun Aug 09 2009 Jan Palus <jan.palus@gmail.com> ab43660
- BR: libsexy-devel libsoup-devel
- use system libsexy

